Royzac

    Royzac

    11 months ago
    This issue, graphviz.backend.ExecutableNotFound: failed to execute 'dot', make sure the Graphviz executables are on your systems' PATH is occuring through my venv. It would seem to me that the executable would come prepackaged with prefect['viz'] or prefect['dev']. I'm using debian/bash. Anyone else come across this issue?
    a

    Anna Geller (old account)

    11 months ago
    @Royzac can you try: apt-get install graphviz? I know that I had to install it first before prefect viz
    Royzac

    Royzac

    11 months ago
    @Anna Geller (old account) Some improvement here after system installation, the bug is resolved and now I get this issue. Did you get this problem?
    Anna Geller

    Anna Geller

    11 months ago
    @Royzac by default, GraphViz opens the Flow view in a PDF viewer. Can you install one for your OS and try again?
    Royzac

    Royzac

    11 months ago
    Awesome, thanks Anna!